# Class OutlinePipeline

Creates an instance of of the Outline effect postprocess, should be created using createOutlinePipeline from PostProcessEffects

#### Implements

- TwinfinityCameraBehavior

##### Index

### Constructors

constructor

### Methods

attach
detach

## Constructors

### constructor

- new OutlinePipeline(
  _renderScale: number,
  _unifiedOutline: boolean,
  _outlineColor: Vector3,
  ): OutlinePipeline

  #### Parameters

  - _renderScale: number
  - _unifiedOutline: boolean
  - _outlineColor: Vector3

  #### Returns OutlinePipeline

## Methods

### attach

- attach(camera: Camera): boolean

  Attaches this behavior to the specified camera.

  #### Parameters

  - camera: Camera

    The camera to attach the behavior to.

  #### Returns boolean

  true if the behavior was successfully attached to the camera, otherwise false.

  Implementation of TwinfinityCameraBehavior.attach

### detach

- detach(camera: Camera): boolean

  Detaches this behavior from the specified camera.

  #### Parameters

  - camera: Camera

    The camera to detach this behavior from.

  #### Returns boolean

  true if the behavior was successfully detached from the camera, otherwise false.

  Implementation of TwinfinityCameraBehavior.detach